--setting up global, so that it is not polluted by new variables
local newG={}
local oldG=getmetatable(_G)
setmetatable(_G,{__index=newG,__newindex=function(t,k,v) newG[k]=v end})

require "util"
require "my_util"

require "data_u/generated"--generation of reload\repair recipes and utility items and visual projectiles for drones

--utility entities put here so that they're less likely to be tampered by other mods
require "data_u/squad"
require "data_u/map_label"
require "data_u/signals"
require "data_u/dummy_items"
require "data_u/cargo_projectiles"
done()

setmetatable(_G,oldG)
