require "my_util"

local name=function(str) return my("smart-radar"..str) end

local derive=function(prototype,changes) return add(green(derivative(prototype,changes))) end


local subgroup="drone-landing"
add(derivative(raw["item-subgroup"]["capsule"],{
    name=subgroup,
    order="ab",
}))
--input interface
--derive(raw["electric-energy-interface"]["electric-energy-interface"],{
derive(raw.accumulator.accumulator,{
    name=name"-input",
    --energy_production = "0W",
    energy_source ={
      type = "electric",
      buffer_capacity = "1MJ",
      usage_priority = "primary-input",
      input_flow_limit = "200kW",
      output_flow_limit = "0W",
    },
    collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{-1.2, -1.2}, {0.2,.2}},
    minable={result=name"-item"},
    picture={scale=1.4, shift={1, 0}},
    circuit_wire_connection_point ={
      shadow ={
        red = {-1, -1},
        green = {-.9, -.9}
      },
      wire ={
        red = {-.6, -.4},
        green = {-.56, -.5}
      }
    },
})

--output interface
derive(raw["constant-combinator"]["constant-combinator"],{
    name=name"-output",
    minable=delet,
    order="zzzzzz",
})

--recipe
derive(raw.recipe.radar,{
    name=name"-recipe",
    result=name"-item",
    subgroup=subgroup,
})
--item
derive(raw.item.radar,{
    name=name"-item",
    place_result=name"-input",
    subgroup=subgroup,
    icon="__DroneCommand__/icons/smart_radar.png",
})

