require "my_util"
local guide_names={
    slow=my"slow-squad",
    medium=my"medium-squad",
    fast=my"fast-squad",
    fastest=my"fastest-squad",
}


local mt
local guides
on_init(function()
    guides=setmetatable(new_storage("guide-types"),mt):init()
end)
on_load(function()
    guides=setmetatable(get_storage("guide-types"),mt)
end)
on_mods_changed(function()
    guides:init()
end)

mt={__index={
    init=function(me)
        local p=game.entity_prototypes
        for k,n in pairs(guide_names) do
            me[k]={name=n,speed=p[n].speed}
        end
        return me
    end,
    bit_slower=function(me,speed)
        local name,vm=me.slow.name,me.slow.speed
        for n,p in pairs(me) do
            if vm < p.speed and p.speed<=speed then
                name=p.name
                vm=p.speed
            end
        end
        return name
    end,
}}

--return r
