--setting up global, so that it is not polluted by new variables
local newG={}
local oldG=getmetatable(_G)
setmetatable(_G,{__index=newG,__newindex=function(t,k,v) newG[k]=v end})

require "util"
require "my_util"

require "data/transmitter"
require "data/smart_radar"
require "data/landing_pad"
require "data/drones"--additional types of drones and their creation recipes
require "data/technology"--initial technology definition
done()
setmetatable(_G,oldG)
