require "my_util"

local derive=function(prototype,changes) return add(green(derivative(prototype,changes))) end

--basic pad
local name=function(str) return my("basic-landing-pad"..str) end
add(derivative(derivative(raw.container['wooden-chest'],{picture=delet}),{
    name=name"",
    minable={result=name"-item"},
    icon="__DroneCommand__/icons/landing-pad-icon.png",
    picture={
      filename = "__DroneCommand__/gfx/landing-pad.png",
      priority = "extra-high",
      width = 106,
      height = 84,
      scale=32/60,
      shift = {0.2, -0.2}
    },
}))
derive(raw.item['wooden-chest'],{
    name=name"-item",
    place_result=name"",
    icon="__DroneCommand__/icons/landing-pad-icon.png",
})
derive(raw.recipe.radar,{
    name=name"-recipe",
    result=name"-item",
})

--powered pad
local name=function(str) return my("powered-landing-pad"..str) end
derive(raw.accumulator.accumulator,{
    name=name"-power",
    icon="__DroneCommand__/icons/powered-landing-pad-icon.png",
    --energy_production = "0W",
    energy_source ={
      type = "electric",
      buffer_capacity = "1MJ",
      usage_priority = "primary-input",
      input_flow_limit = "200kW",
      output_flow_limit = "0W",
    },
    collision_box={{-1,-1},{1,1}},
    
    minable={result=name"-item"}
})
derive(raw.container['wooden-chest'],{
    name=name"-inventory",
    minable=delet,
    order="zzzzzz",
})
derive(raw.item['wooden-chest'],{
    name=name"-item",
    place_result=name"-power",
    icon="__DroneCommand__/icons/powered-landing-pad-icon.png",
})
derive(raw.recipe.radar,{
    name=name"-recipe",
    result=name"-item",
})
