require "my_util"
local icon=function(name) return "__DroneCommand__/icons/"..name..".png" end
local mytech=function(fields) return add(derivative(raw.technology["combat-robotics"],fields))  end

mytech{
    name=my"drone-command",
    icon=icon"command_tech",
    icon_size = 128,
    effects={{type="unlock-recipe",recipe=my"command-transmitter-recipe"}},
    prerequisites={"combat-robotics",delet,delet,delet},
}

mytech{
    name=my"smart-radar",
    effects={{type="unlock-recipe",recipe=my"smart-radar-recipe"}},
    icon=icon"smart_radar_tech",
    icon_size = 128,
    prerequisites={my"drone-command",delet,delet,delet},
    unit={
        count=150,
        ingredients={
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
        }
    }
}
mytech{
    name=my"drone-landing",
    icon=icon"landing_pad_tech",
    icon_size = 128,
    effects={
        {type="unlock-recipe",recipe=my"basic-landing-pad-recipe"},
        {type="unlock-recipe",recipe=my"powered-landing-pad-recipe"},
    },
    prerequisites={"combat-robotics",delet,delet,delet},
}
