--the list of icons that were made for the generated recipes and items
local icons={
    spent={},
    wrecked={},
    recharge={},
    restore={},
}

local wrap=function(fname) if fname then return "__DroneCommand__/icons_for_generated/"..fname..".png"  end end
local add=function(drone,sp,wr,rec,res)
--function to add file names corresponding to drone
    icons.spent[drone]=wrap(sp)
    icons.wrecked[drone]=wrap(wr)
    icons.recharge[drone]=wrap(rec)
    icons.restore[drone]=wrap(res)
end
--metatable for absent icons
mt={__index=function(t,k) return t.default  end, __call=function(t,k) return t[k] end}
for _,t in pairs(icons) do setmetatable(t,mt) end

add("default","spent-default","wrecked-default","recharge-default","restore-default")
add(my"protector",nil,nil,nil,nil)
add(my"exterminator",nil,nil,nil,nil)
add("defender","spent-defender","wrecked-defender","recharge-defender","fix-defender")
add("destroyer","spent-destroyer","wrecked-destroyer","recharge-destroyer","fix-destroyer")

return icons
