require "my_util"

local todo = nil
local subgroup, signal, result
if raw then--if data loading stage
    add(derivative(raw["item-group"]["signals"],{
        name=my"drone-command-signals",
        icon="__DroneCommand__/icons/signal_category.png",
        icon_size = 64,
    }))

    local c=1
    subgroup=function(name,icon)
            add(derivative(raw["item-subgroup"]["virtual-signal-special"],{
                name=name,
                group=my"drone-command-signals",
                --icon=icon
                order=tostring(c)
            }))
            c=c+1
            return name
    end
    local d=1
    signal=function(name,subgroup,icon)
        add(derivative(raw["virtual-signal"]["signal-1"],{
            name=name,
            subgroup=subgroup,
            icon=icon and "__DroneCommand__/icons/"..icon..".png",
            order=string.format("%06u",d),
            d=d+1
        }))
        return name
    end
elseif script then--game scripting stage
    subgroup=function(n) return n  end
    result={}
    signal=function(n,g) 
        if not result[g] then result[g]={} end
        table.insert(result[g],n)
    end
end

local  g = subgroup(my"map-label",todo)
signal(my"map-label",g,"map_label")

local g=subgroup(my"radar",todo)
signal(my"radar-posX",g,'radarX')
signal(my"radar-posY",g,'radarY')
signal(my"radar-ownX",g,'radarXpos')
signal(my"radar-ownY",g,'radarYpos')
signal(my"radar-force-own",g,'own')
signal(my"radar-force-friend",g,'friend')
signal(my"radar-force-neutral",g,'neutral')
signal(my"radar-force-enemy",g,'enemy')
--signal(my"radar-type-unit",g,todo)
--signal(my"radar-type-building",g,todo)
--signal(my"radar-type-resource",g,todo)
signal(my"radar-out-of-range",g,'out_of_range')
signal(my"radar-max-radius",g,'max_range')
signal(my"radar-time-remaining",g,"time_remaining")

local g=subgroup(my"transmitter",todo)
signal(my"transmitter-send",g,'send')
signal(my"transmitter-destX",g,'destX')
signal(my"transmitter-destY",g,'destY')
signal(my"transmitter-distraction",g,'distraction')
signal(my"transmitter-land",g,'land')
signal(my"transmitter-load-cargo",g,'load')
signal(my"transmitter-drop-cargo",g,'drop')
signal(my"transmitter-unload-cargo",g,'unload')
--signal(my"transmitter-load-carrier",g,todo)
--signal(my"transmitter-launch-carrier",g,todo)
--signal(my"transmitter-unload-carrier",g,todo)
signal(my"transmitter-drop-construction",g,'drop_roboport')
signal(my"transmitter-drop-construction-on-ghost",g,'drop_roboport_on_ghost')

local g=subgroup(my"transmitter-output",todo)
signal(my"transmitter-posX",g,'posX')
signal(my"transmitter-posY",g,'posY')
signal(my"transmitter-homeX",g,'homeX')
signal(my"transmitter-homeY",g,'homeY')
signal(my"transmitter-dest-label",g,'dest_label')
signal(my"transmitter-dest-dist",g,'distance')
signal(my"transmitter-home-dist",g,'home_dist')
signal(my"transmitter-done",g,'done')
signal(my"transmitter-time-to-live",g,'ttl')
signal(my"transmitter-in-combat",g,'warning-icon')


return result
