require "my_util"

local DISTRACTION_COOLDOWN=10*60 --ticks
local DISTRACTION_RANGE=44
local DESTINATION_NAME=my"squad-destination"
local DISTRACTION_NAME=my"squad-distraction"
if script then--quick hack to share parameters with squad scripts
    return {
        DISTRACTION_DURATION=DISTRACTION_COOLDOWN/60,--duration is in seconds as squads are updated per second 
        DISTRACTION_RANGE=DISTRACTION_RANGE,
        DESTINATION_NAME=DESTINATION_NAME,
        DISTRACTION_NAME=DISTRACTION_NAME,
        }
end


local temp={--graphics of marker
    filename = '__core__/graphics/empty.png', priority = "high",
    width = 1, height = 1, frame_count = 1, shift = {0,0}, direction_count=1,
}
--destination
add(derivative(derivative(raw['simple-entity']["stone-rock"],{
    name=DESTINATION_NAME,
    minable=delet,
    collision_mask={},
    selection_box={{0,0},{0,0}},
    loot=delet,
    count_as_rock_for_filtered_deconstruction = false,
    autoplace=delet,
    pictures=delet,
    }),
    {pictures={temp}}))

local distraction=add(derivative(raw.explosion.explosion,{name=DISTRACTION_NAME,
    sound=delet,
    --trigger_created_entity=true,
}))

local distraction_category=add(derivative(raw["ammo-category"].bullet,{name=my"distraction-attack"})).name

local fast_guide=add(
    derivative(
        derivative(raw["combat-robot"]["defender"],{
            name=my"fast-squad",
            selection_box=delet,
            max_health=300,
            time_to_live=4294967295,
            range_from_player= 1.0,
            destroy_action=delet,
            attack_parameters={
              type = "projectile",
              ammo_category = "bullet",
              cooldown = DISTRACTION_COOLDOWN,
              range = DISTRACTION_RANGE, sound = delet,
              ammo_type ={
                category = distraction_category,
                --category = delet,
                action = { type = "direct",
                  action_delivery ={
                    type = "instant",
                    source_effects =delet,
                    target_effects ={
                      {type = "create-entity",entity_name =distraction.name,trigger_created_entity=true},
                      [2]=delet,
                      [3]=delet,
                    }
                  }
                }
              }
            },
            idle=delet,
            shadow_idle=delet,
            in_motion=delet,
            shadow_in_motion=delet,
        }),
        {
            selection_box={{0,0},{0,0}},
            idle=temp,
            shadow_idle=temp,
            in_motion=temp,
            shadow_in_motion=temp,
        }
    )
)
add(derivative(fast_guide,{name=my"medium-squad",speed=0.005}))
add(derivative(fast_guide,{name=my"slow-squad",speed=0.001}))
add(derivative(fast_guide,{name=my"slowest-squad",speed=0.0005}))
add(derivative(fast_guide,{name=my"fastest-squad",speed=0.02}))

