local mysuffix="-Adil"
my=function(name) return name..mysuffix end

has = function(o,t)                           
    local k,v = next(t)                       
    --print("looking for ",k,v)                 
    if not (type(o)=='table') then            
        --print("found not table")              
        return {}                             
    end                                       
    if type(v) =="table" then                 
        --print("going deeper")                 
        if o[k] then                          
            return has(o[k],v)                
        elseif o[1] then                      
            --print"found array"                
            local i=1                         
            while o[i] do                     
                local r=has(o[i],t)           
                if next(r) then return r end  
                i=i+1                         
            end                               
            return {}                         
        else                                  
            return {}                         
        end                                   
    elseif o[k]==v then                       
        --print("found deepest table")          
        return o                              
    elseif o[1] then                          
        --print"Found array at last step"       
        local i=1                             
        while o[i] do                         
           local r=has(o[i],t)                
           if next(r) then return r end       
           i=i+1                              
        end                                   
        return {}                             
    else                                      
        --print("Got to the end of search string, but not found the depth")                          
        return {}                             
    end                                       
end                                           

if data then
    local list_all_added=false--print list of all added entities names, for locale creation
    local new={}
    local print_locale_preparation
    raw=data.raw
    add=function(p) new[#new+1]=p return p end
    done=function()
        print_locale_preparation()
        data:extend(new) 
    end
    print_locale_preparation=function()
        if not list_all_added then return end
        local to_print={}
        for _,v in pairs(new) do
            to_print[v.type]= to_print[v.type] or {}
            table.insert(to_print[v.type],v.name)
        end
        for t,names in pairs(to_print) do
            print("[",t,"]")
            for _,n in pairs(names) do
                print(n.."=")
            end
        end
    end
    
    local m_stack={
        add=function(me,val) return table.insert(me,val) end,
        pop=function(me) return table.remove(me)  end,
        print=function(me) return table.concat(me,"->")  end,
    }
    delet=function() return delet end
    function modify(key,tab,changes)
        m_stack:add(key)
        if not (tab and changes) then 
            error("Wrong arguments to modify field..'"..key.."'\n"..
            "in the chain: "..m_stack:print().."\n".. 
            ( (tab and "old_value") or (changes and "new_value") or "both").." nil\n"
            ..debug.traceback()) 
        end
        local new_val=changes[key]
        if (type(new_val)~="table") then
            --print("isnottable")
            if new_val==delet then 
                tab[key]=nil
            else 
                tab[key]=new_val 
            end
        else
            if type(tab[key])~="table" then tab[key]=new_val return end
            --print('istable')
            for k in pairs(new_val) do
                --print('Modifying '..q)
                modify(k,tab[key],new_val)
            end
        end
        m_stack:pop()
        return a
    end
    derivative=function(orig,changes)
        local o=table.deepcopy(orig)
        if not o then
            error("No original given\n"..debug.traceback(),2)
        end
        for k in pairs(changes) do
            modify(k,o,changes)
            --print('Modifying '..k)
            --print("From ",serpent.block(orig[k]))
            --print("To",serpent.block(o[k]))
        end
        return  o
    end

    local pr=function() end
    local db=function(name) 
        if name then 
            if name==my"protector" then pr= print 
            else pr=function() end 
            end 
        end
    end
    colorize=function(prototype,colors)
        db(prototype.name)
        --pr(serpent.block(prototype))
        for k,v in pairs(prototype) do
            --pr(k)
            if type(v)=="table" then 
                --if v.filename and v.filename:match("(.*%.png)") then
                    --pr(serpent.block(v))
                    --pr(v.filename, v.width, v.height)
                    --pr('\n\n\n\n\n')
                --end
                if v.filename and v.width and v.height then
                    --pr('coloring',k)
                    v.tint=v.tint or {}
                    local t,c=v.tint,colors
                    for _,k in pairs{'r','g','b'} do
                        t[k]=c[k] or t[k] or 0
                    end
                    t.a=t.a or 1
                else
                    colorize(v,colors)
                end
            end
        end
        --pr(serpent.block(prototype))
        return prototype
    end
    green=function(p) return colorize(p,{r=0,g=1,b=0}) end
    red=function(p) return colorize(p,{r=0.6,g=0,b=0}) end
    purple=function(p) return colorize(p,{r=0.5,g=0,b=0.5})  end
    magenta=function(p) return colorize(p,{r=1,g=0,b=1})  end
    yellow=function(p) return colorize(p,{r=1,g=1,b=0})   end
    
    local check=function(o,k,v)
        local res=true
        if type(v)=="table" and o[k] then
            for q,w in pairs(v) do
                if not check(o[k],q,w) then 
                    res=false 
                    break 
                end
            end
        elseif not (o[k]==v) then
            res=false
        end
        return res
    end
    find=function(fields)
        local res={}
        local predicate=function(p)
            local r=true
            for k,v in pairs(fields) do
                if not check(p,k,v) then
                    r=false
                end
            end
            return r
        end
        for n,prototype in pairs(raw) do
            if predicate(prototype) then
                res[#res+1]=prototype
            end
        end
        return res
    end
end



